@font-face {
    font-family: 'Minecraft';
    src: url('https://cdn.jsdelivr.net/gh/Mojang/web-theme-bootstrap@92d9913110cf79db5813e6335f97c6dc689854ee/assets/fonts/Minecraft-Seven_v2.ttf') format('truetype');
}

@font-face {
    font-family: 'MinecraftFive';
    src: url('https://cdn.jsdelivr.net/gh/Mojang/web-theme-bootstrap@92d9913110cf79db5813e6335f97c6dc689854ee/assets/fonts/MinecraftFive-Regular.woff2') format('truetype');
}

.ring-container {
    height: max(calc(100vh - 10vw), calc(100vh - 60px));
    width: 100vw;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    background-image: url(/assets/imgs/misc/quartz.png);
    overflow: hidden;
}

nav {
    z-index: 99;
    width: 100vw;
}

.ring {
    height: min(60vh, 120vw);
    position: absolute;
    overflow: hidden;
    z-index: 50;
    box-shadow: 0 0 1em #00000088;
    pointer-events: none;
}

body, html {
    height: min(280vh, 520vw);
    overflow-x: hidden;
}

body {
    overflow-y: hidden;
}

.content {
    position: absolute;
    top: min(10vw, 60px);
    width: 100vw;
    display: flex;
    flex-direction: column;
    align-items: center;
    font-size: min(1em, 3vw);
    color: black;
}

.content * {
    opacity: 0;
}

.content h1 {
    font-family: 'Minecraft', monospace;
    color: #7d0208;
    font-size: 5.5em;
    font-weight: 400;
    margin-bottom: .9em;
    cursor: pointer;
    user-select: none;
    text-align: center;
}

.content .title-dlx {
    font-family: 'MinecraftFive', monospace;
    color: #FFD400;
    font-size: .8em;
    line-height: 0;
    text-shadow: 0 0 .3em #ff8;
}

.content p {
    font-size: 2em;
    text-align: center;
    margin-bottom: 1em;
}

.content p:nth-child(3) {
    max-width: min(13em, 90vw);
}

.content p:nth-child(4) {
    max-width: min(15em, 90vw);
}

.content p:nth-child(5) {
    max-width: min(18em, 90vw);
}

.content p:nth-child(6) {
    max-width: min(20em, 90vw);
}

.content a {
    color: black;
    text-decoration: underline;
}

.offset {
    height: 75vh;
}

.gallery {
    display: flex;
    gap: 2em;
}

.gallery img {
    width: min(20em, 45vw);
    border-radius: .5em;
    box-shadow: 0 0 1em #00000088;
    cursor: pointer;
}

#glowverlay {
    position: fixed;
    width: 100vw;
    height: 100svh;
    border: 5em solid gold;
    top: 0;
    z-index: 999999;
    filter: blur(10em);
    pointer-events: none;
    transition: opacity 1s;
}

#glowverlay.invis {
    opacity: 0;
}

/*

  IMAGE POPUP

*/

.img-popup {
    z-index: 9990;
    position: absolute;
}

.img-popup .overlay {
    z-index: 9991;
}

.img-popup .view {
    z-index: 9992;
}

.img-popup .close {
    z-index: 9993;
}

/*

    PREFERS REDUCED MOTION

*/

@media (prefers-reduced-motion: reduce) {
    .ring {
        opacity: 0;
    }
}